#ifndef QNTV_H
#define QNTV_H

#include <qapplication.h>
#include <qslider.h>
#include <qevent.h>

class Qntv : public QWidget
{
  Q_OBJECT
  
  public:
  	Qntv();
  	~Qntv();
  	void MoveVidcapWindow(int x, int y);
  	void setSource(int id);
  	void setVolume(int mixer_id, int volume);
  	void closeEvent(QCloseEvent *e);
  	void moveEvent(QMoveEvent *e);
  	void resizeEvent(QResizeEvent *e); 
  	
  public slots:
  	void volChangeCallback(int v);
  	
  private:
	QSlider *volSlider;
};

#endif // QNTV_H
